#include <bits/stdc++.h>

using namespace std;

int main()
{
    int t,i=0,n,k;
    cin>>n>>k;
    int a[20000];
    while(i<n){
        cin>>a[i];
        i++;
    }
    i=0;
    while(i<n){
        if(a[i]==k){
          t=a[i+1];
        }
        if(k==a[n-1]){
          t=a[0];
        }
        i++;
    }
    cout<<t;
    return 0;
}